#!/usr/bin/python
#
# Advisory window for Update Agent
# Copyright (c) 2001 Red Hat, Inc.  Distributed under GPL.
#
# Author: Preston Brown <pbrown@redhat.com>

import gtk
import libglade
from GTK import TRUE, FALSE
from GDK import WATCH

class AdvisoryWin:
    
    def __init__(self):
        self.xml = libglade.GladeXML("/usr/share/rhn/up2date_client/advisorywin.glade", "advisoryWindow")
        self.win = self.xml.get_widget("advisoryWindow")
        self.win.connect("delete-event", self.win.hide)
        self.win.connect("hide", self.win.hide)
        self.xml.get_widget("closeButton").connect("clicked", self.win.hide)

    def destroy(self):
        while gtk.events_pending():
            gtk.mainiteration(FALSE)

        self.win.destroy()


    def hide(self):
        self.win.hide()
        while gtk.events_pending():
            gtk.mainiteration(FALSE)
            
        del self

    def setAdvisory(self,id, advisory, type, description, topic):
        print "ID: %s" % id
        print "Advisory: %s" % advisory
        print "Type: %s" % type
        print "Description: %s" % description
        print "Topic: %s" % topic
    
